メインコンテンツへスキップ
GET
/
models
/
{model_id}
モデルの詳細を取得
curl --request GET \
  --url https://api.orcarouter.ai/v1/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "openai/gpt-4o-mini",
  "created": 123,
  "owned_by": "openai",
  "supported_endpoint_types": [
    "openai"
  ],
  "context_length": 123,
  "max_completion_tokens": 123,
  "architecture": {
    "input_modalities": [
      "text",
      "image"
    ],
    "output_modalities": [
      "text"
    ]
  }
}

承認

Authorization
string
header
必須

OrcaRouter API キーは sk-orca-... のような形式です。 Authorization: Bearer sk-orca-... ヘッダで渡してください。

パスパラメータ

model_id
string
必須

レスポンス

200 - application/json

OK

id
string
:

"openai/gpt-4o-mini"

object
enum<string>
利用可能なオプション:
model
created
integer
owned_by
string
:

"openai"

supported_endpoint_types
string[]
:
["openai"]
context_length
integer

最大コンテキストウィンドウ (トークン数)。このモデルに対して 管理者が能力メタデータを記入した場合のみ存在; それ以外は 省略。

max_completion_tokens
integer

モデルが応答ごとに返せる最大トークン数。管理者メタデータ が存在する場合のみ存在; それ以外は省略。

architecture
object

モデルのモダリティマトリクス。管理者メタデータが存在する 場合のみ存在; それ以外は省略。